Bug 1203453

Summary: Ceph Storage Node (OSD) host group not defined.
Product: Red Hat OpenStack Reporter: Keith Schincke <kschinck>
Component: openstack-foreman-installerAssignee: Jason Guiditta <jguiditt>
Status: CLOSED WONTFIX QA Contact: Shai Revivo <srevivo>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 6.0 (Juno)CC: mburns, morazi, rhos-maint, srevivo
Target Milestone: z5Keywords: OtherQA, ZStream
Target Release: Installer   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-05-12 19:22:41 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Keith Schincke 2015-03-18 21:07:45 UTC
Description of problem:
The seeds.rb and houstgroups.yaml files do not define the Ceph Storage Node (OSD) host group. 


Version-Release number of selected component (if applicable):
openstack-foreman-installer-3.0.16-1.el7ost.noarch


How reproducible:
100%

Steps to Reproduce:
1. hammer hostgroup list
2.
3.

Actual results:


Expected results:


Additional info:
I do not think ntp is needed in the patches.
 
Here is a patch for the seeds.rb
--- 99-quickstack.rb.ORIG       2015-03-13 12:34:22.847023465 -0400
+++ 99-quickstack.rb    2015-03-13 12:34:31.306491894 -0400
@@ -460,6 +460,12 @@
 }
 
 hostgroups = [
+    {:name=>"Ceph Storage Node (OSD)",
+     :class=> [
+                "quickstack::ceph::config",
+                "quickstack::firewall::ceph_osd",
+               "quickstack::ntp",
+              ]},
     {:name=>"Controller (Nova Network)",
      :class=> ["quickstack::nova_network::controller",
                "quickstack::ntp",

Here is a patch for hostgroups.yaml
--- /usr/share/openstack-foreman-installer/config/hostgroups.yaml.ORIG  2015-03-13 18:44:58.386381345 -0400
+++ /usr/share/openstack-foreman-installer/config/hostgroups.yaml       2015-03-13 18:48:23.741473621 -0400
@@ -1,4 +1,9 @@
 ---
+- :name: Ceph Storage Node (OSD)
+  :class:
+  - quickstack::ceph::config
+  - quickstack::firewall::ceph_osd
+  - quickstack::ntp
 - :name: Controller (Nova Network)
   :class: quickstack::nova_network::controller
 - :name: Compute (Nova Network)

Comment 6 Mike Burns 2015-07-24 13:18:40 UTC
This is not going to make it for A4.